#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

# import standard library

# import interfaces
from pyams_pagelet.interfaces import IPageletCreatedEvent
from pyams_zmi.interfaces import IAdminView

# import packages
from pyams_skin.skin import apply_skin
from pyramid.events import subscriber
from zope.interface import implementer


@implementer(IAdminView)
class AdminView(object):
    """Base admin view"""


@subscriber(IPageletCreatedEvent, context_selector=IAdminView)
def handle_admin_view(event):
    """Set admin skin for admin pages"""
    apply_skin(event.object.request, 'PyAMS admin skin')
